gupnp_service_introspection_get_state_variable
gupnp_service_proxy_action_get
Gupnp Functions
PHP Manual

# gupnp_service_notify

(PECL gupnp >= Unknown)

gupnp_service_notify — Notifies listening clients

### Description

bool gupnp_service_notify ( resource `$service` , string `$name` , int `$type` , mixed `$value` )

Notifies listening clients that the property have changed to the specified values.

### Parameters

`service`

  A service identifier.

`name`

  The name of the variable.

`type`

  The type of the variable. Type can be one of the following values:

  `GUPNP_TYPE_BOOLEAN`
    Type of the variable is boolean.
  `GUPNP_TYPE_INT`
    Type of the variable is integer.
  `GUPNP_TYPE_LONG`
    Type of the variable is long.
  `GUPNP_TYPE_DOUBLE`
    Type of the variable is double.
  `GUPNP_TYPE_FLOAT`
    Type of the variable is float.
  `GUPNP_TYPE_STRING`
    Type of the variable is string.

`value`

  The value of the variable.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Issues E_WARNING with either not correctly defined type of the variable or the value is not corresponding to the defined type.

### See Also

- gupnp_service_freeze_notify() - Freeze new notifications
- gupnp_service_thaw_notify() - Sends out any pending notifications and stops queuing of new ones.

gupnp_service_introspection_get_state_variable
gupnp_service_proxy_action_get
Gupnp Functions
PHP Manual